#!/bin/ksh
#> This script will upgrade ErcRANOS 6.0.14.0.1
################################################################
# NOTE* The adminGuide.uue might have been updated manually,
#       as this release was not intended to be installed with a
#       script earlier. We will do the installation again anyhow
#       for the sake of registering this release properly.
################################################################

########################################################
# set paths and files

RELEASE='6.0.14.0.1'
RP=`echo $RELEASE|sed 's/\.//g'`
MODULE='ErcRANOS'
SourceDir="${FLEXPM_HOME}/patches/${RELEASE}"
BACKUP_DIR=${SourceDir}/Backup
export SQLPATH=${FLEXPM_HOME}/config
export wm_product='PROSPECT'
export WM_PRODUCT='PROSPECT'

########################################################


# Check env settings
echo '+ Checking environment...'

if ! [[ -d ${PROSPECT_HOME} ]]
then
    echo 'Env variable PROSPECT_HOME must be set to appropriate dir before installation.';exit 1
fi

if ! [[ -d ${PM_HOME} ]]
then
    echo 'Env variable PM_HOME must be set to appropriate dir before installation.';exit 1
fi

echo '+ Backing up original files...'
cd $NE_BASE
for file in `gtar -tzf ${SourceDir}/${MODULE}-${RP}.tgz`
do
    if [ -f $file ]
    then
        if [ ! -d ${BACKUP_DIR}/`dirname $file` ]
        then
            mkdir -p ${BACKUP_DIR}/`dirname $file`
        fi

        cp $file ${BACKUP_DIR}/`dirname $file`
        chmod +w $file
    fi
done

echo '+ Installing new/updated files...'
cd $NE_BASE
gtar -xvzf ${SourceDir}/${MODULE}-${RP}.tgz
cd $NE_BASE
for file in `gtar -tzf ${SourceDir}/${MODULE}-${RP}.tgz`
do
    if [ -f $file ]
    then
        chmod -w $file
    fi
done

echo '+ 6.0.14.0.1 Installation complete...'
