#!/bin/ksh
#

########################################################
# set paths and files

MODULE="VendorCommon"
RELEASE="6.0.14.1.0"    
RP=$(echo $RELEASE|sed 's/\.//g')

SourceDir="${FLEXPM_HOME}/patches/${RELEASE}"
WorkDir=$SourceDir/workdir
TarDir=${SourceDir}/tarball/${MODULE}_${RP}_UI.tgz

### stamping ts
s_yyyymmdd=`(date "+%Y%m%d")`
s_hhmmss=`(date "+%H%M%S")`
mkdir -p $SourceDir/Backup
echo "$s_yyyymmdd.$s_hhmmss" > $SourceDir/Backup/.ts.txt

### get ts
TS=`cat $SourceDir/Backup/.ts.txt`
BACKUP_DIR=$SourceDir/Backup/$TS

########################################################

# Check env settings
 echo "Checking environment....."

  if ! [[ -d ${FLEXPM_HOME} ]]; then
     echo "Env variable FLEXPM_HOME must be set to appropriate dir before installation."
     exit;
  fi

  if ! [[ -d ${NE_BASE} ]]; then
     echo "Env variable NE_BASE must be set to appropriate dir before installation."
     exit;
  fi

  if [ -z ${DB_CONNECT} ]; then
     echo "Env variable DB_CONNECT must be set to approriate database connection values."
     exit 1;
  fi

    #######################################################
    # Installing module...
    #######################################################

    date +"+ Installing vendor specific $MODULE $RELEASE at %T, %D ..."

    echo "+ Backing up original files and installing new files..."
    cd $NE_BASE
    mkdir -p ${BACKUP_DIR}

    ${WorkDir}/untar.pl $SourceDir $TarDir $NE_BASE $BACKUP_DIR
    ret=$?

    if [ $ret != 0 ]; then
      echo "+++ Error in untar.pl"
      exit 2
    fi

    #######################################

    #echo " Installing Core patch 8.0.5.4..."

    #cd ${SourceDir}/core_hf
    #inst_core_hf.sh -a 8.0.5-PROSPECT-IF0004.tar.gz

    #echo "+ Core patch 8.0.5.4 installed."
    echo ''


