--###########################################################################
--#
--# Licensed Materials - Property of IBM
--# 5724-T05
--#
--# (C) Copyright IBM Corp. 2009. All Rights Reserved.
--#
--# US Government Users Restricted Rights - Use, duplication or
--# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--#
--###########################################################################


declare
    dummy integer;
    topology_table      varchar2(30):= 'TMP_ERC_UTRANCM_TOPOLOGY';
    topology_constraint varchar2(30):= topology_table || '_UNQ';
begin
    execute immediate 'truncate table ' || topology_table;
    -- The table should be empty anyway, but truncating it avoids any
    -- problems with any rows that are already duplicated.

    -- Drop the constraint if it exists and then add it again.
    -- This allows the installer to be re-run if something goes wrong.

    select count(*) into dummy from user_constraints
        where constraint_name = topology_constraint;
    if dummy > 0 then
        execute immediate 'alter table ' || topology_table ||
            ' drop constraint ' || topology_constraint;
    end if;

    execute immediate 'alter table ' || topology_table ||
        ' add constraint ' || topology_constraint ||
        ' unique (rnc, utrancell, nodeb, localcell, sector, carrier, session_id)';

end;
/
